Verify API
11 endpoints. Paths are relative to https://api.zyton.ai.
- POST
/api/v1/verify/attestation
Verify a hardware attestation
Takes a JSON request body.
- POST
/api/v1/verify/batch
Batch verification endpoint
Takes a JSON request body.
- POST
/api/v1/verify/certificate
Verify a certificate chain.
Takes a JSON request body.
- POST
/api/v1/verify/consent-token
Verify a consent token.
Takes a JSON request body.
- POST
/api/v1/verify/content-attestation
Verify a content attestation
Takes a JSON request body.
- GET
/api/v1/verify/crl/{ca_fingerprint}
Download CRL for a CA
Parameters for GET /api/v1/verify/crl/{ca_fingerprint} Parameter Sent in Required ca_fingerprintHex SHA3 fingerprint of the issuing CA whose CRL to fetch Path Required - POST
/api/v1/verify/delegation-token
Verify a delegation token chain
Takes a JSON request body.
- GET
/api/v1/verify/ocsp/{cert_fingerprint}
OCSP responder endpoint
Parameters for GET /api/v1/verify/ocsp/{cert_fingerprint} Parameter Sent in Required cert_fingerprintHex SHA3 fingerprint of the certificate to status-check Path Required - GET
/api/v1/verify/revocations/entity/{entity_id}
Parameters for GET /api/v1/verify/revocations/entity/{entity_id} Parameter Sent in Required entity_idEntity id whose revoked certificates to list Path Required - POST
/api/v1/verify/transaction-attestation
Verify a transaction attestation
Takes a JSON request body.
- POST
/api/v1/verify/version-chain
Verify an agent version chain
Takes a JSON request body.